astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- SLSQPFitter

# SLSQPFitter

class `astropy.modeling.fitting.``SLSQPFitter`

  Bases: `astropy.modeling.fitting.Fitter`

  Sequential Least Squares Programming optimization algorithm.

  The algorithm is described in [R3]. It supports tied and fixed parameters, as well as bounded constraints. Uses `scipy.optimize.fmin_slsqp`.

  Raises:

  ModelLinearityError :

  > A linear model is passed to a nonlinear fitter

  References

  [R3] | (1, 2) http://www.netlib.org/toms/733

  Attributes Summary

  `supported_constraints` | list() -> new empty list

  Methods Summary

  `errorfunc`(fps, *args) | Compute the sum of the squared residuals

  Attributes Documentation

  `supported_constraints` = ['bounds', 'eqcons', 'ineqcons', 'fixed', 'tied']

  Methods Documentation

  `errorfunc`(fps, *args)

    Compute the sum of the squared residuals

    Parameters:

    fps : list

    > parameters returned by the fitter

    args : list

    > input coordinates